com.sun.messaging.jms

## Class MQIllegalStateRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException
        - - javax.jms.IllegalStateRuntimeException
          - - com.sun.messaging.jms.MQIllegalStateRuntimeException

- All Implemented Interfaces:
    com.sun.messaging.jmq.jmsclient.logging.Loggable, java.io.Serializable

      public class MQIllegalStateRuntimeException
      extends javax.jms.IllegalStateRuntimeException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This class is the MQ-specific implementation of javax.jms.IllegalStateRuntimeException and adds a new constructor and the methods setLogState and getlogState

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MQIllegalStateRuntimeException(javax.jms.IllegalStateException cause)` Construct a `MQIllegalStateRuntimeException` to wrap the specified IllegalStateException
    `MQIllegalStateRuntimeException(java.lang.String detailMessage)` Constructs a `MQIllegalStateRuntimeException` with the specified detail message
    `MQIllegalStateRuntimeException(java.lang.String detailMessage, java.lang.String errorCode)` Constructs a `MQIllegalStateRuntimeException` with the specified detail message and error code.
    `MQIllegalStateRuntimeException(java.lang.String detailMessage, java.lang.String errorCode, java.lang.Throwable cause)` Constructs a `MQIllegalStateRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLogState()` return whether this object is logged
    `void` | `setLogState(boolean state)` Specify whether this object is logged.

    - ### Methods inherited from class javax.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MQIllegalStateRuntimeException

          public MQIllegalStateRuntimeException(java.lang.String detailMessage)

      Constructs a `MQIllegalStateRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### MQIllegalStateRuntimeException

          public MQIllegalStateRuntimeException(java.lang.String detailMessage,
                                                java.lang.String errorCode)

      Constructs a `MQIllegalStateRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### MQIllegalStateRuntimeException

          public MQIllegalStateRuntimeException(java.lang.String detailMessage,
                                                java.lang.String errorCode,
                                                java.lang.Throwable cause)

      Constructs a `MQIllegalStateRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

    - #### MQIllegalStateRuntimeException

          public MQIllegalStateRuntimeException(javax.jms.IllegalStateException cause)

      Construct a `MQIllegalStateRuntimeException` to wrap the specified IllegalStateException
      Parameters:
        `cause` - the underlying cause of this exception

  - ### Method Detail

    - #### setLogState

          public void setLogState(boolean state)

      Specify whether this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `whether` - this object is logged

    - #### getLogState

          public boolean getLogState()

      return whether this object is logged
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        whether this object is logged

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.